<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: marketdata.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Информация о цене.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.LastPrice</code>
 */
class LastPrice extends \Google\Protobuf\Internal\Message
{
    /**
     *Идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     */
    protected $figi = '';
    /**
     *Последняя цена за 1 лот.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation price = 2;</code>
     */
    protected $price = null;
    /**
     *Время получения последней цены в часовом поясе UTC по времени биржи.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp time = 3;</code>
     */
    protected $time = null;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $figi
     *          Идентификатор инструмента.
     *     @type \Tinkoff\Invest\V1\Quotation $price
     *          Последняя цена за 1 лот.
     *     @type \Google\Protobuf\Timestamp $time
     *          Время получения последней цены в часовом поясе UTC по времени биржи.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Marketdata::initOnce();
        parent::__construct($data);
    }

    /**
     *Идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @return string
     */
    public function getFigi()
    {
        return $this->figi;
    }

    /**
     *Идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setFigi($var)
    {
        GPBUtil::checkString($var, True);
        $this->figi = $var;

        return $this;
    }

    /**
     *Последняя цена за 1 лот.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation price = 2;</code>
     * @return \Tinkoff\Invest\V1\Quotation
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     *Последняя цена за 1 лот.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation price = 2;</code>
     * @param \Tinkoff\Invest\V1\Quotation $var
     * @return $this
     */
    public function setPrice($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\Quotation::class);
        $this->price = $var;

        return $this;
    }

    /**
     *Время получения последней цены в часовом поясе UTC по времени биржи.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp time = 3;</code>
     * @return \Google\Protobuf\Timestamp
     */
    public function getTime()
    {
        return $this->time;
    }

    /**
     *Время получения последней цены в часовом поясе UTC по времени биржи.
     *
     * Generated from protobuf field <code>.google.protobuf.Timestamp time = 3;</code>
     * @param \Google\Protobuf\Timestamp $var
     * @return $this
     */
    public function setTime($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Timestamp::class);
        $this->time = $var;

        return $this;
    }

}

